Debian Bug report logs - #411666
/usr/bin/svn-inject: initial checkout fails

version graph

Package: svn-buildpackage; Maintainer for svn-buildpackage is svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>; Source for svn-buildpackage is src:svn-buildpackage.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Tue, 20 Feb 2007 12:42:02 UTC

Severity: normal

Tags: patch

Found in version svn-buildpackage/0.6.16

Fixed in version svn-buildpackage/0.6.22

Done: Eddy Petrișor <eddy.petrisor@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#411666; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/bin/svn-inject: initial checkout fails
Date: Tue, 20 Feb 2007 13:39:15 +0100
[Message part 1 (text/plain, inline)]
Package: svn-buildpackage
Version: 0.6.16
Severity: normal
File: /usr/bin/svn-inject
Tags: patch

Hi,

the initial checkout (default mode: 1 - trunk only) does not work:
there is an attempt to copy the not existant directory $tempdir/trunk to
the checkout destination. This happened while importing a native package
(only .dsc + .tar.gz).

The attached patch changes this to a regular checkout (no more copying).

Andreas

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (300, 'unstable'), (30, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-k7
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages svn-buildpackage depends on:
ii  devscripts                  2.9.27       Scripts to make the life of a Debi
ii  file                        4.19-1       Determines file type using "magic"
ii  libsvn-perl                 1.4.2dfsg1-2 Perl bindings for Subversion
ii  perl                        5.8.8-7      Larry Wall's Practical Extraction 
ii  subversion                  1.4.2dfsg1-2 Advanced version control system
ii  wget                        1.10.2-2     retrieves files from the web

svn-buildpackage recommends no packages.

-- no debconf information
[svn-inject-initial-checkout.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#411666; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #10 received at 411666@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>, 411666@bugs.debian.org
Subject: Re: Bug#411666: /usr/bin/svn-inject: initial checkout fails
Date: Sun, 25 Feb 2007 17:27:06 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Andreas Beckmann wrote:
> Package: svn-buildpackage
> Version: 0.6.16
> Severity: normal
> File: /usr/bin/svn-inject
> Tags: patch
> 
> Hi,
> 
> the initial checkout (default mode: 1 - trunk only) does not work:
> there is an attempt to copy the not existant directory $tempdir/trunk to
> the checkout destination. This happened while importing a native package
> (only .dsc + .tar.gz).
>

This doesn't work either for layout 2. But the problem seems to be
deeper than this pathc suggests.


> The attached patch changes this to a regular checkout (no more copying).

This is why this patch is not good.

> ------------------------------------------------------------------------
> 
> --- /usr/bin/svn-inject	2006-12-26 16:09:37.000000000 +0100
> +++ /home/andreas/bin/svn-inject	2007-02-20 02:18:40.000000000 +0100
> @@ -333,10 +333,10 @@
>        print "Storing copy of your repository tree in $basedir/$package.\n";
>        withecho "svn", "checkout", "$opt_svnurl/$package", "$basedir/$package", $opt_svnquiet;
>     }
> -   elsif ($opt_checkout==1) {
> +   elsif ($opt_checkout==1 && $opt_layout==1) {
>        $trunkdir = "$basedir/$package";
> -      print "Storing trunk copy in $basedir/$package.\n";
> -      withecho("cp", "-a", "$tempdir/trunk",  $trunkdir);
> +      print "Storing copy of your repository trunk in $basedir/$package.\n";
> +      withecho "svn", "checkout", "$opt_svnurl/$package/trunk", "$basedir/$package", $opt_svnquiet;
>     }
>  }
>  


- --
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF4arIY8Chqv3NRNoRAtOBAJ4iNp/PopOjlpTYogOUbRdBoGn4ZACfZ4Zh
fOz+HkQRZ4OEUrekyWSUlyc=
=67k9
-----END PGP SIGNATURE-----




Tags added: pending Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Thu, 09 Aug 2007 07:00:30 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Thu, 23 Aug 2007 10:06:22 GMT) Full text and rfc822 format available.

Reply sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 411666-close@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 411666-close@bugs.debian.org
Subject: Bug#411666: fixed in svn-buildpackage 0.6.22
Date: Mon, 15 Oct 2007 07:17:02 +0000
Source: svn-buildpackage
Source-Version: 0.6.22

We believe that the bug you reported is fixed in the latest version of
svn-buildpackage, which is due to be installed in the Debian FTP archive:

svn-buildpackage_0.6.22.dsc
  to pool/main/s/svn-buildpackage/svn-buildpackage_0.6.22.dsc
svn-buildpackage_0.6.22.tar.gz
  to pool/main/s/svn-buildpackage/svn-buildpackage_0.6.22.tar.gz
svn-buildpackage_0.6.22_all.deb
  to pool/main/s/svn-buildpackage/svn-buildpackage_0.6.22_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 411666@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eddy Petrișor <eddy.petrisor@gmail.com> (supplier of updated svn-buildpackage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 14 Oct 2007 14:03:49 +0300
Source: svn-buildpackage
Binary: svn-buildpackage
Architecture: source all
Version: 0.6.22
Distribution: experimental
Urgency: low
Maintainer: Eduard Bloch <blade@debian.org>
Changed-By: Eddy Petrișor <eddy.petrisor@gmail.com>
Description: 
 svn-buildpackage - helper programs to maintain Debian packages with Subversion
Closes: 408690 411666 414581 419996 423487 428225 428689 429024 433404 433536 434932 435746 436133 436554 443923
Changes: 
 svn-buildpackage (0.6.22) experimental; urgency=low
 .
   [ Eddy Petrișor ]
   * upload to experimental
   * IMPORTANT: changed default behaviour of saving the configuration in
     .svn/deb-layout by default to avoid stale data to override the
     configuration options that were updated in the repository.
     (Closes: #414581)
     As a consequence, a new option --svn-savecfg was added to allow a
     mechanism for easily overriding options locally
     The priority of the layout information should now be imported in the
     following order:
     properties -> debian/svn-deblayout -> .svn/deb-layout -> command line
 .
   [ Gonéri Le Bouder ]
   * SDCommon::sd_exit: read the parameter correctly is SDCommon::nosave=1
     (Closes: #428225)
 .
   [ Eddy Petrișor ]
   * s-u: when importing options from ~/.svn-buildpackage.conf, filter in
     only the valid options (Closes: #428689)
   * s-u: replace retcode with retval for consistency with svn-bp
   * s-i: manpage still claimed layout 2 was not implmented (Closes: #433404)
   * s-i: now really supports injects for layout 2 (with the disadvantage of
     not creating the tag directory)
   * s-i: no longer fails on initial checkout (Closes: 411666)
   * when using origUrl, make sure the origDir exists before downloading
     in it
   * s-i: man page: document the missing -o option (Closes: 419996, 435746)
   * s-u: complete the man page synopsis section (Closes: 436133)
   * s-b: do not require the build deps to be present when exporting
     (Closes: 423487); thanks Stefano Zacchiroli for the patch
   * SDcommon.pm: enhance the guessing algo of the layout to make svn-upgrade
     guess correctly on layout 2 repos; thanks Gregor Herrmann for the patch
     (Closes: 434932)
   * Makefile: the version of the package is placed quoted in "SDCommon.pm" so
     that versions like "0.6.22~bpo40+1" don't cause s-b to barf
   * s-i: fix 'Use of unitialized value at line 142'; patch thanks to
     Jeremiah Foster; (Closes: 436554)
   * SDCommon.pm: renamed function "such" to "search", not everybody knows
     German ;-)
   * s-b,s-i : add support for a custom SDCommon.pm used from the current
     directory (option is --svn-dbgsdcommon and --dbgsdcommon, respectively);
     for obvious reasons this option is not documented
   * s-b: some whitespace fixes
   * SDCommon.pm: implemented a function that emulates a 'mkdir -p'
     functionality for svn; this will allow an extended fix for #434932, not
     only the current work around
   * s-i: based on the mkdir-p functionality create missing directories on
     inject (Closes: 433536, 408690, 443923)
   * s-b: ditto for tag, retag operations (Closes: 429024)
   * do not ignore make clean errors anymore (makes a lintian warning go away)
   * remove duplicate call to debiandoc2pdf in doc/Makefile
   * s-i: abstracted more the layout information; this will make it possible
     to have an arbitary layout specified via overrides
   * added a NEWS file
   * add build depends on 'gs-gpl | gs' to prevent an ugly error message during
     the creation of HOWTO.pdf (debiandoc just recommends the package)
Files: 
 212bea17b9227053d765eb9621cd9459 680 devel extra svn-buildpackage_0.6.22.dsc
 94bf521dcff938980cd3489d43ee1544 57171 devel extra svn-buildpackage_0.6.22.tar.gz
 b9717b483541249d585a96eefe78d8e6 205134 devel extra svn-buildpackage_0.6.22_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHExMWHqjlqpcl9jsRAoYoAJ0WL+4KyGwk8O/GPObCsEDQoCscswCfWEUR
CWYKsNpz4sbB2WqFiwVscI8=
=dxKe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Dec 2007 07:50:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:52:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.